Subject: Question about PCI I/O space in ARM64

From: [email-masked] (Kefeng Wang)
Date: Fri, 25 Mar 2016 14:49:36 +0800

On 2016/3/25 1:57, Lorenzo Pieralisi wrote:
> [+ Jean]
> 
> On Thu, Mar 24, 2016 at 11:14:50AM +0800, Kefeng Wang wrote:
> 
> [...]
> 
>>>> You need a PCI host controller driver (e.g.
>>>> drivers/pci/host/pci-host-generic.c) and corresponding bindings in DT or
>>>> ACPI.
>>
>> In our inner test, there are some board without pcie host driver(even
>> without pci host controller).
> 
> So I guess those drivers are for devices that are attached to an LPC
> controller that is not part of a PCI host controller, right ?
> 
> BTW, what happened to this (not that I particularly like this patchset) ?

They are working on it, and will upstream again.

> 
> https://lkml.org/lkml/2015/12/29/154
> 
[...]
> 
> I agree with Arnd on this and we need to patch the eg f71805f driver too
> (or we just do not build on ARM) to make it request the IO port region it
> needs to actually probe the device, it is not correct to assume IO space
> is available and mapped, I think that's a driver bug rather than anything
> else, Jean can certainly shed some light here.

Ok, so Jean, would you take a look this? Thanks.

Kefeng
> 
>> Define some arch in/out func instead of generic ops? when in/out vals, check
>> whether or not the pci_iobase is mapped.
> 
> I do not think the problem should be solved in the IO accessors
> implementation, see above.
> 
> Lorenzo
> 
> .
>